<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>GameStock.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.models</a> &gt; <span class="el_source">GameStock.java</span></div><h1>GameStock.java</h1><pre class="source lang-java linenums">package dev.team3.models;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import org.springframework.stereotype.Component;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Objects;

public class GameStock {

    private String name;

    private String symbol;

    private BigDecimal price;

    public GameStock(){
<span class="nc" id="L20">        super();</span>
<span class="nc" id="L21">    }</span>

<span class="nc" id="L23">    public GameStock(String symbol){</span>
<span class="nc" id="L24">        this.symbol = symbol;</span>
<span class="nc" id="L25">    }</span>

<span class="fc" id="L27">    public GameStock(String name, String symbol, BigDecimal price){</span>
<span class="fc" id="L28">        this.name = name;</span>
<span class="fc" id="L29">        this.symbol = symbol;</span>
<span class="fc" id="L30">        this.price = price;</span>
<span class="fc" id="L31">    }</span>

    public String getName() {
<span class="fc" id="L34">        return name;</span>
    }

    public void setName(String name) {
<span class="nc" id="L38">        this.name = name;</span>
<span class="nc" id="L39">    }</span>

    public String getSymbol() {
<span class="fc" id="L42">        return symbol;</span>
    }

    public void setSymbol(String symbol) {
<span class="nc" id="L46">        this.symbol = symbol;</span>
<span class="nc" id="L47">    }</span>

    public BigDecimal getPrice() {
<span class="fc" id="L50">        return price;</span>
    }

    public void setPrice(BigDecimal price) {
<span class="nc" id="L54">        this.price = price;</span>
<span class="nc" id="L55">    }</span>

    @Override
    public boolean equals(Object o) {
<span class="nc bnc" id="L59" title="All 2 branches missed.">        if (this == o) return true;</span>
<span class="nc bnc" id="L60" title="All 4 branches missed.">        if (o == null || getClass() != o.getClass()) return false;</span>
<span class="nc" id="L61">        GameStock gameStock = (GameStock) o;</span>
<span class="nc bnc" id="L62" title="All 6 branches missed.">        return Objects.equals(name, gameStock.name) &amp;&amp; Objects.equals(symbol, gameStock.symbol) &amp;&amp; Objects.equals(price, gameStock.price);</span>
    }

    @Override
    public int hashCode() {
<span class="nc" id="L67">        return Objects.hash(name, symbol, price);</span>
    }

    @Override
    public String toString() {
<span class="nc" id="L72">        return &quot;GameStock{&quot; +</span>
                &quot;name='&quot; + name + '\'' +
                &quot;, symbol='&quot; + symbol + '\'' +
                &quot;, price=&quot; + price +
                '}';
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>